<?php
App::uses('AppHelper', 'View/Helper');
class NoteHelper extends AppHelper {
	public function checkPostStatus($note,$uid)
	{
		if (!$uid)
			return false;		
			
		$friendModel = MooCore::getInstance()->getModel('Friend');
		if ($uid == $note['Note']['user_id'])
			return true;
			
		if ($note['Note']['privacy'] == PRIVACY_EVERYONE)
		{
			return true;
		}
		
		if ($note['Note']['privacy'] == PRIVACY_FRIENDS)
		{
			$areFriends = $friendModel->areFriends( $uid, $note['Blog']['user_id'] );
			if ($areFriends)
				return true;
		}
		
		
		return false;
	}
	
	public function checkSeeActivity($note,$uid)
	{
		return $this->checkPostStatus($note,$uid);
	}
	
	public function getTagUnionsNote($noteids)
	{
		return "SELECT i.id, i.title, i.body, i.like_count, i.created, 'Note_Note' as moo_type
						 FROM " . Configure::read('core.prefix') . "notes i
						 WHERE i.id IN (" . implode(',', $noteids) . ") AND i.privacy = ".PRIVACY_EVERYONE;
	}
	
	public function getImage($item,$options)
	{
		return $this->assetUrl('Note.noimage/note.png',$options + array('pathPrefix' => Configure::read('App.imageBaseUrl')));
		
		return $url;
	}
}
