<?php
    echo $this->Html->css(array('jquery-ui', 'footable.core.min'), null, array('inline' => false));
    echo $this->Html->script(array('jquery-ui', 'footable'), array('inline' => false));
    $this->startIfEmpty('sidebar-menu');
    echo $this->element('admin/adminnav', array('cmenu' => 'Note'));
    $this->end();
    $this->Paginator->options(array('url' => $this->passedArgs));
?>
<?=$this->Moo->renderMenu('Note', 'Notes Manage');?>

<div class="portlet-body">
    <div class="table-toolbar">
        <div class="row">
            <div class="col-md-6">
                <div class="btn-group">
                    <button class="btn btn-gray" id="sample_editable_1_new" onclick="confirmSubmitForm('<?php echo __d('Note','Are you sure you want to delete these notes?');?>', 'deleteForm')">
                        <?=__('Delete')?>
                    </button>
                </div>
            </div>
        </div>
    </div>
    <form method="post" action="" id="deleteForm">
        <?php echo $this->Form->input('type', array('type' => 'hidden', 'value' => '')) ?>
    <table class="table table-striped table-bordered table-hover" id="sample_1">
        <thead>
        <tr>
            <th width="30"><input type="checkbox" onclick="toggleCheckboxes(this)"></th>
            <th><?php echo __d('Note','ID')?></th>
			<th><?php echo __d('Note','Title')?></th>	
        </tr>
        </thead>
        <tbody>
            <?php $count = 0; ?>
            <?php foreach ($notes as $note): ?>
                <tr class="gradeX <?php (++$count % 2 ? "odd" : "even") ?>">
                    <td><input type="checkbox" name="notes[]" value="<?=$note['Note']['id']?>" class="check"></td>                   
                    <td><?=$note['Note']['id']?></td>			
					<td><?=$note['Note']['title']?></td>
                </tr>
            <?php endforeach ?>

        </tbody>
    </table>
    </form>
    <div class="pagination">
        <?php echo $this->Paginator->prev('« Previous', null, null, array('class' => 'disabled')); ?>
        <?php echo $this->Paginator->numbers(); ?>
        <?php echo $this->Paginator->next('Next »', null, null, array('class' => 'disabled')); ?>
    </div>
</div>