CREATE TABLE IF NOT EXISTS {PREFIX}notes (
    id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
    user_id INT(11) NOT NULL,
    title VARCHAR(50),
    body TEXT,
    uri  VARCHAR(150),
    created DATETIME DEFAULT NULL,
    modified DATETIME DEFAULT NULL,
    like_count INT(11) DEFAULT '0',
    dislike_count INT(11) DEFAULT '0',
	`reminder` int(11) NOT NULL,
	`check_reminder` tinyint(1) NOT NULL,
	`privacy` int(11) NOT NULL DEFAULT '1',
	`comment_count` int(11) NOT NULL
);
 
INSERT INTO {PREFIX}notes (user_id,title,body,created,modified,uri)
VALUES ('1', 'The title', 'This is the post body.', NOW(), NOW(),'uri_1'),
       ('1', 'A title once again', 'And the post body follows.', NOW(), NOW(),'uri_2'),
       ('1', 'Title strikes back', 'This is really exciting! Not.', NOW(), NOW(),'uri_3');
	   
INSERT INTO `{PREFIX}tasks` (`title`, `plugin`, `timeout`, `processes`, `semaphore`, `started_last`, `started_count`, `completed_last`, `completed_count`, `failure_last`, `failure_count`, `success_last`, `success_count`, `enable`, `class`) VALUES
('Reminder', 'note', 300, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 'Note_Task_Reminder');