<!-- File: /app/Plugin/Note/View/Notes/edit.ctp -->
<!-- In case you want to create multiple themed views,  ex you want to  only
apply this view for default template , you can copy it to the file : /app/View/Themed/Plugin/Note/Notes/edit.ctp -->
<div class="create_form">
    <div class="bar-content">
        <div class="content_center">
            <div class="box3">
                <?=$this->Form->create('Note');?>
                <?=$this->Form->input('id', array('type' => 'hidden'));?>
                <div class="mo_breadcrumb">
                    <h1><?=__d('Note', 'Edit Note'); ?></h1>
                    <?php
                    echo $this->Html->link(
                        __d('Note', 'Manage Notes'), array(
                            'controller' => 'notes',
                            'action' => 'index',
                        ), array('class' => 'button button-action topButton button-mobi-top')
                    );
                    ?>
                </div>
                <div class="full_content p_m_10">
                    <div class="form_content">
                        <ul>
                            <li>
                                <div class="col-md-2">
                                    <label><?=__d('Note', 'Title');?></label>
                                </div>
                                <div class="col-md-10">
                                    <?=$this->Form->input('title', array(
                                        'label' => false,
                                        'div' => false
                                    ));?>
                                </div>
                                <div class="clear"></div>
                            </li>
                            <li>
                                <div class="col-md-2">
                                     <label><?=__d('Note', 'Body');?></label>
                                </div>
                                <div class="col-md-10">
                                    <?=$this->Form->input('body', array(
                                        'rows' => '3',
                                        'label' => false,
                                        'div' => false
                                    ));?>
                                </div>
                                <div class="clear"></div>
                            </li>
                            <li>
	                            <div class="col-md-2">
	                                <label><?=__d('Blog', 'Tags')?></label>
	                            </div>
	                            <?php 
	                            $tags_value = '';
	                            	if (!empty($tags)) $tags_value = implode(', ', $tags);
	                            ?>
	                            <div class="col-md-10">
	                                <?php echo $this->Form->text('tags', array('value' => $tags_value)); ?> <a href="javascript:void(0)" class="tip profile-tip" title="<?=__d('Blog', 'Separated by commas')?>">(?)</a>
	                            </div>
	                            <div class="clear"></div>
	                        </li>
                            <li>
	                            <div class="col-md-2">
	                                <label><?=__d('Note', 'Privacy')?></label>
	                            </div>
	                            <div class="col-md-10">
	                                <?php echo $this->Form->select( 'privacy', 
                                                            array( PRIVACY_EVERYONE => __d('Note', 'Everyone'), 
															PRIVACY_FRIENDS  => __d('Note', 'Friends Only'), 
														PRIVACY_ME 		=> __d('Note', 'Only Me') ),array('empty' => false) ); 
	                                ?>
	                            </div>
	                            <div class="clear"></div>
	                        </li>
                        </ul>
                        <div class="col-md-2"> </div>
                        <div class="col-md-10">
                            <?=$this->Form->end(array(
                                'label' => __d('Note', 'Save'),
                                'div' => false,
                                'class' => 'btn btn-action'
                            ));?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>