<!-- File: /app/Plugin/Note/Notes/view.ctp -->
<!-- In case you want to create multiple themed views,  ex you want to  only
apply this view for default template , you can copy it to the folder: /app/View/Plugin/Note/Notes/view.ctp -->
<div class="create_form">
    <div class="bar-content">
        <div class="content_center">
            <div class="box3">
                <div class="mo_breadcrumb">
                    <h1><?=h($note['Note']['title']);?></h1>
                     <?=$this->Html->link(
                        __d('Note', 'Report Note'), array(
                            'controller' => 'reports',
                            'action' => 'ajax_create',
                        	'plugin' => '',
                        	$note['Note']['moo_type'],
                        	$note['Note']['id']
                        ), array('data-target'=>'#themeModal','class'=>'button button-action topButton button-mobi-top','data-toggle'=>'modal')
                    );
                    ?>
                    <?=$this->Html->link(
                        __d('Note', 'Manage Notes'), array(
                            'controller' => 'notes',
                            'action' => 'index',                        	
                        ), array('class' => 'button button-action topButton button-mobi-top')
                    );
                    ?>
                    <?php echo $this->Html->link(__d('Notes', 'Edit'), array(
                                'controller' => 'notes',
                                'action' => 'edit',
                                $note['Note']['id']
                            ), array('class' => 'button button-action topButton button-mobi-top'));?>  
                </div>
                <p><small>Created: <?=$note['Note']['created']; ?></small></p>
                <p><?=h($note['Note']['body']); ?></p>
            </div>
            <div class="box_content">
			    <?php echo $this->element( 'blocks/tags_item_block' ); ?>
			</div>
        </div>
        <div class="content_center">
	        <div class="bar-content full_content p_m_10">
			    <div class="content_center">
			    	<?php echo $this->renderLike();?>
			    </div>
			</div>			
		</div>
		<div class="content_center">
			<div class="bar-content full_content p_m_10">
			   	<?php echo $this->renderComment();?>
			</div>
		</div>
    </div>
</div>